import request from '@/utils/request'

// 列表
export function showList(data) {
  return request({
    url: 'enterprise/vehicleManage/list',
    method: 'POST',
    data: data
  })
}

//新增信息接口
export function save(data) {
  return request({
    url: '/enterprise/vehicleManage/',
    method: 'POST',
    data: data
  })
}

//修改信息
export function update(data) {
  return request({
    url: `/enterprise/vehicleManage/${data.vehicleId}`,
    method: 'PUT',
    data: data
  })
}

//根据ID删除信息
export function deleted(id) {
  return request({
    url: `/enterprise/vehicleManage/${id}`,
    method: 'DELETE'
  })
}

//根据ID查看信息
export function findById(id) {
  return request({
    url: `/enterprise/vehicleManage/${id}`,
    method: 'GET'
  })
}

//获取车辆类型数据
export function getVehicleType() {
  return request({
    url: `/enterprise/vehicleType/`,
    method: 'POST'
  })
}

//获取车辆类型数据
export function batchDelete(data) {
  return request({
    url: `/enterprise/vehicleManage/batchDelete`,
    method: 'DELETE',
    data: data
  })
}

//模拟报文数据
export function analysis(data) {
  return request({
    url: `/enterprise/messageValue/analysis/+${data}`,
    method: 'POST',
  })
}
